package fr.velossity.sample.device.impl;

import org.osgi.service.component.ComponentContext;

import fr.velossity.sample.device.Device;

/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class Requester {
	
    /************************************************************************/
    /* SCR related methods (binding & life cycle) */
    /************************************************************************/

    /**
     * Callback method for component activation.
     * @param ctx the Component Context
     */
    public void activate(ComponentContext ctx) {
    	System.out.println("Requester activated");
    }

    /**
     * Callback method for component deactivation.
     * @param ctx the Component Context
     */
    public void deactivate(ComponentContext ctx) {
    	System.out.println("Requester deactivated");
    }

	
	/**
	 * SCR callback, called when new device is registered.
	 */
	public void addProvider(Device newDevice) {
		System.out.println("I found a mock device with identifer= " + newDevice.getIdentifier());
	}

	/**
	 * SCR callback, called when device is disappearing.
	 */
	public void removeProvider(Device theDevice) {
		System.out.println("Mock device [" + theDevice.getIdentifier() + "] is unregistering");
	}

}
